Package com.independentsoft.office.odf.styles

# Class ListStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.ListStyle

public class ListStyle extends Style
Represents a set of style elements for each list level, which are called list level styles.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListStyle()`
  Initializes a new instance of the ListStyle class.
  `ListStyle​(String name)`
  Initializes a new instance of the ListStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ListStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IListStyleContent>`
  `getStyles()`
  Contains a collection of IListStyleContent objects.
  `void`
  `setUseConsecutiveNumbering​(boolean useConsecutiveNumbering)`
  Specifies whether the style uses consecutive numbering for all list levels or whether each list level restarts the numbering.
  `String`
  `toString()`
  Converts the value of the current ListStyle object to its equivalent string representation.
  `boolean`
  `useConsecutiveNumbering()`
  Specifies whether the style uses consecutive numbering for all list levels or whether each list level restarts the numbering.

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ListStyle

    public ListStyle()
    Initializes a new instance of the ListStyle class.

  - ### ListStyle

    public ListStyle​(String name)
    Initializes a new instance of the ListStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public ListStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `Style`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ListStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyles

    public List<IListStyleContent> getStyles()
    Contains a collection of IListStyleContent objects.
    Returns:
      the styles

  - ### useConsecutiveNumbering

    public boolean useConsecutiveNumbering()
    Specifies whether the style uses consecutive numbering for all list levels or whether each list level restarts the numbering.
    Returns:
      true, if successful

  - ### setUseConsecutiveNumbering

    public void setUseConsecutiveNumbering​(boolean useConsecutiveNumbering)
    Specifies whether the style uses consecutive numbering for all list levels or whether each list level restarts the numbering.
    Parameters:
      `useConsecutiveNumbering` - the new use consecutive numbering